> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hill90.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List agent workspace files



## OpenAPI

````yaml /openapi.yaml get /agents/{id}/workspace
openapi: 3.0.3
info:
  title: Hill90 API
  description: Hill90 platform API — agent management and lifecycle operations.
  version: 0.1.0
servers:
  - url: /
    description: Relative (behind Traefik reverse proxy)
security: []
paths:
  /agents/{id}/workspace:
    get:
      tags:
        - Agents
      summary: List agent workspace files
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: path
          in: query
          schema:
            type: string
          description: Directory path to list (default /home/agentuser)
      responses:
        '200':
          description: Directory listing
          content:
            application/json:
              schema:
                type: object
                properties:
                  path:
                    type: string
                  entries:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        type:
                          type: string
                          enum:
                            - file
                            - directory
                            - unknown
                        size:
                          type: integer
        '404':
          description: Agent not found
        '409':
          description: Agent is not running
        '502':
          description: Agentbox unreachable
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````